%global dlrn_nvr 4.6.1-0.20220712084434.bc7e4ff
%global dlrn 1
%define upstream_version 4.6.1-rc0
%global milestone .0rc0
%{!?upstream_version: %global upstream_version %{commit}}
%global commit bc7e4ff556a57efec58d423a30a0eac25c3cf7a5
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git

Name:                   puppet-archive
Version: 4.6.1
Release: 0.20220712084434.bc7e4ff%{?dist}
Summary:                Compressed archive file download and extraction with native types/providers for Windows and Unix
License:                ASL 2.0

URL:                    https://github.com/voxpupuli/puppet-archive

Source0: 4.6.1-0.20220712084434.bc7e4ff.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=bc7e4ff556a57efec58d423a30a0eac25c3cf7a5

BuildArch:              noarch

Requires:               puppet-stdlib
Requires:               puppet >= 4.6.1

%description
The archive module provides native puppet resources for managing compressed file download and extraction with optional checksum verification and cleanup.

%prep
%setup -q -n %{name}-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

# puppet-archive includes a cacert file used when running in windows
# this cacert file is not needed for linux and it's not recommended to
# ship certificates in packages out of system ones so we are removing it
find . -name cacert.pem -exec rm {} +

%build

%install
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/archive/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/archive/

%files
%{_datadir}/openstack-puppet/modules/archive/

%changelog
* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 4.6.1-0.20220712084434.bc7e4ff
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 4.6.1-0.20210528034848.bc7e4ff
- Update patches

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> 4.6.1-0.1.0rc0.bc7e4ffgit
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support stdlib 7.x
- metadata.json: drop Puppet 5, add Puppet 7 support

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pass over credentials in archive::artifactory

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop support for CentOS/RHEL 6 and variants

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- modulesync 4.0.0

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- modulesync 3.1.0
- Add parameter to make use with an ENC easier

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update archive spec and gs_spec with better gs support and no region specifications
- Add unit test for gsutil support
- Fix gsdownload ruby spec for deduping errant gsutil command
- Add initla support for gsutil and pulling from Google Storage buckets

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Clean up temporary files checksums don't match

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Clean up temporary files checksums don't match
- Clean up temporary files checksums don't match

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Clean up temporary files checksums don't match

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [blacksmith] Bump version to 4.6.1-rc0
- release 4.6.0

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change type of param $temp_dir in archive::nexus
- add 'temp_dir' parameter to the tests
- add 'temp_dir' parameter to the tests
- removed duplicated parameter
- Add support param $temp_dir in archive::nexus

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- README.md: correct spelling typo
- Disable failing RSpec/ExpectInHook cop for now
- Remove redundant rubocop control comment
- Fix puppet-lint violations
- Modulesync 3.0.0

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version number
- Revert "Fix rubocop LineLength # see https://rubocop.readthedocs.io/en/latest…"
- Fix rubocop LineLength # see https://rubocop.readthedocs.io/en/latest/cops_layout/#layoutlinelength

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix documentation of parameters extract_command and temp_dir
- Fix several markdown lint issues

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use curl netrc file instead of `--user`
- Remove augeas addon from travis

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update spec tests to use rspec-mocks
- release 4.5.0
- Revert "rubocop: autofix"
- modulesync 2.12.0

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add VZ 6/7 to metadata.json

* Sat Dec 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #396 from voxpupuli/modulesync
- rubocop: autofix
- modulesync 2.10.0

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #394 from alexjfisher/puppet_strings1
- Convert `archive` class docs to puppet-strings
- Merge pull request #392 from alexjfisher/convert_go_md5_function
- Fix go_md5 function error handling
- Convert `go_md5` function to modern API

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #390 from alexjfisher/convert_assemble_nexus_url
- Merge pull request #393 from voxpupuli/modulesync
- Convert `assemble_nexus_url` to modern API
- modulesync 2.9.0
- Merge pull request #391 from alexjfisher/relative_require
- Use `relative_require` in artifactory functions

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #389 from dhoppe/remove_duplicate
- Remove duplicate CONTRIBUTING.md file

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #387 from bjoernhaeuser/patch-1
- Add Darwin (mac os x)

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [blacksmith] Bump version to 4.4.1-rc0
- Merge pull request #386 from bastelfreak/rel440
- release 4.4.0
- Merge pull request #385 from enterprisemodules/support_for_uncompress
- Add support for .tar.Z files and uncompress
- Merge pull request #349 from nfrance-conseil/cookies_in_curl
- Put the cookie option at the end when using curl

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [blacksmith] Bump version to 4.3.1-rc0
- Merge pull request #384 from bastelfreak/rel430
- release 4.3.0

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #382 from bastelfreak/centos8
- Merge pull request #383 from bastelfreak/arch
- Add Archlinux compatibility compatibility
- Add CentOS/RHEL 8 compatibility
- Merge pull request #381 from voxpupuli/modulesync
- modulesync 2.9.0


